﻿$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName    = $env:ChocolateyPackageName
  url            = 'https://github.com/brave/browser-laptop/releases/download/v0.23.39dev/BraveSetup-ia32.exe'
  url64          = 'https://github.com/brave/browser-laptop/releases/download/v0.23.39dev/BraveSetup-x64.exe'
  checksum       = 'f4417674854ccc231f41a87b9b08c455f03aae8fa8de3009ff8e30e4f3d9b7d8'
  checksum64     = 'f9394a0e914423c10c44f950e3d23449ff6fdc98ccf2258c9432b82590d91f69'
  checksumType   = 'sha256'
  checksum64Type = 'sha256'
}

Install-ChocolateyPackage @packageArgs

Get-ChildItem $toolsDir\*.exe | ForEach-Object { Remove-Item $_ -ea 0; if (Test-Path $_) { Set-Content "$_.ignore" } }
